View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
18449Bug reportsSurvey participants (Tokens)public2022-12-01 13:48
ReporterNickko Assigned Toollehar  
PriorityhighSeveritypartial_block 
Status ready for mergeResolutionopen 
Product Version5.4.x 
Summary18449: Impossible to add participant after correcting an e-mail address error
Description

If you try to add a participant with an incorrect email address, the "save" button disables but does not re-enable when you correct the address.

Steps To Reproduce

Steps to reproduce

Open a survey,
Go to Survey participants
Click on "Create" \ "Add participant"
Type a first name
Type an incorrect e-mail adresse
Click on the "save and close" button
Correct the e-mail address

Expected result

"Save and close" button reactivation

Actual result

"save and close" button still disabled.

TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build)Version 5.4.9+221101
I will donate to the project if issue is resolvedNo
BrowserVivaldi and Edge
Database type & versionMySQL
Server OS (if known)OVH Shared hosting
Webserver software & version (if known)
PHP Version8.1

Relationships

related to 18515 confirmed Error not shown while adding participant with faulty e-mail address error triggered from Additional Attributes tab 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

Nickko

Nickko

2022-11-03 17:44

updater  

ollehar

ollehar

2022-11-04 11:45

administrator   ~72555

Can you see any errors in the F12 browser console?

Nickko

Nickko

2022-11-04 11:50

updater   ~72560

Not sure what you call F12, but in the Vivaldi Console I see the screenshot.

What is show appear when the page load, but when I type e-mail or click button nothing appear.

Console.png (71,856 bytes)   
Console.png (71,856 bytes)   
ollehar

ollehar

2022-11-04 11:59

administrator   ~72564

OK, thanks, I think that's just warnings.

Nickko

Nickko

2022-11-04 12:00

updater   ~72565

Yes but no information helping us to understand why the problem happen.

gabrieljenik

gabrieljenik

2022-11-07 14:15

manager   ~72611

Will try to reproduce

gabrieljenik

gabrieljenik

2022-11-09 13:58

manager   ~72681

Confirmed.

DenisChenu

DenisChenu

2022-11-09 16:36

developer   ~72688

Last edited: 2022-11-09 16:36

It can not be fixed using input type="email" multiple directly ?

gabrieljenik

gabrieljenik

2022-11-23 20:30

manager   ~72877

Sorry, applied a status change to the wrong ticket

gabrieljenik

gabrieljenik

2022-11-28 15:05

manager   ~72918

Last edited: 2022-11-28 15:20

This is a minimalistic approch for the fix.
Seems some general code from LTS related to validations and button disabling is not on master.
A more general approach can be taken, but imapct would be very wide.

https://github.com/LimeSurvey/LimeSurvey/pull/2748

@ollehar, maybe we can review that for the develop branch. Actually, we have something already close to finish which could be good for develop
https://github.com/LimeSurvey/LimeSurvey/tree/bug/18449--Impossible-to-add-participant-after-correcting-an-e-mail-address-error

DenisChenu

DenisChenu

2022-11-28 15:24

developer   ~72919

maybe we can review that for the develop branch.

We really need to use HTML5 input validation

Extra button must trigger real button inside the form, and nothing else.

gabrieljenik

gabrieljenik

2022-12-01 13:48

manager   ~72962

Tested OK

Issue History

Date Modified Username Field Change
2022-11-03 17:44 Nickko New Issue
2022-11-03 17:44 Nickko File Added: Projet sans nom.mp4
2022-11-04 11:45 ollehar Priority none => high
2022-11-04 11:45 ollehar Note Added: 72555
2022-11-04 11:45 ollehar Bug heat 0 => 2
2022-11-04 11:50 Nickko Note Added: 72560
2022-11-04 11:50 Nickko File Added: Console.png
2022-11-04 11:50 Nickko Bug heat 2 => 4
2022-11-04 11:59 ollehar Note Added: 72564
2022-11-04 12:00 Nickko Note Added: 72565
2022-11-07 14:15 gabrieljenik Status new => acknowledged
2022-11-07 14:15 gabrieljenik Note Added: 72611
2022-11-07 14:15 gabrieljenik Bug heat 4 => 6
2022-11-09 13:58 gabrieljenik Status acknowledged => confirmed
2022-11-09 13:58 gabrieljenik Note Added: 72681
2022-11-09 16:36 DenisChenu Note Added: 72688
2022-11-09 16:36 DenisChenu Bug heat 6 => 8
2022-11-09 16:36 DenisChenu Note Edited: 72688
2022-11-09 16:36 DenisChenu Note Edited: 72688
2022-11-23 20:17 gabrieljenik Assigned To => gabrieljenik
2022-11-23 20:17 gabrieljenik Status confirmed => assigned
2022-11-23 20:29 gabrieljenik Assigned To gabrieljenik => DenisChenu
2022-11-23 20:29 gabrieljenik Status assigned => ready for code review
2022-11-23 20:30 gabrieljenik Assigned To DenisChenu => gabrieljenik
2022-11-23 20:30 gabrieljenik Status ready for code review => assigned
2022-11-23 20:30 gabrieljenik Note Added: 72877
2022-11-28 15:05 gabrieljenik Assigned To gabrieljenik => DenisChenu
2022-11-28 15:05 gabrieljenik Status assigned => ready for code review
2022-11-28 15:05 gabrieljenik Note Added: 72918
2022-11-28 15:07 gabrieljenik Note Edited: 72918
2022-11-28 15:11 gabrieljenik Issue cloned: 18515
2022-11-28 15:11 gabrieljenik Relationship added related to 18515
2022-11-28 15:20 gabrieljenik Note Edited: 72918
2022-11-28 15:24 DenisChenu Note Added: 72919
2022-11-28 15:24 DenisChenu Assigned To DenisChenu =>
2022-11-28 15:24 DenisChenu Status ready for code review => ready for testing
2022-12-01 13:48 gabrieljenik Assigned To => ollehar
2022-12-01 13:48 gabrieljenik Status ready for testing => ready for merge
2022-12-01 13:48 gabrieljenik Note Added: 72962